## pegsolitaire 0.0.4

=== debian/changelog ===
pegsolitaire (0.0.4-2) unstable; urgency=medium

  * Team upload.

  [ Markus Koschany ]
  * Switch to source format 3.0 (quilt).
  * Use compat level 9 and require debhelper >= 9.
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 3.9.5.
  * Update menu file. Add longtitle and icon entry. (Closes: #726851)
  * Update pegsolitaire.desktop. Add comment in German and keywords.
  * Use high resolution icon peg.svg as desktop file icon.
  * Add pegsolitaire.xpm icon and install it to /usr/share/pixmaps.
  * Update watch file. The original homepage for downloading Peg Solitaire
    is no longer available.
  * Install man page with pegsolitaire.manpages file.
  * Export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed to avoid useless
    dependencies.
  * Fix lintian warning "synopsis starts with article".
  * Update package description.
  * Change --datadir to /usr/share to avoid lintian error
    global-data-in-games-directory. Remove unwanted files in dh_install
    override.
  * Build --with parallel.
  * Update homepage field and point to wiki.debian.org. The original site went
    offline. (Closes: #607989)
  * Remove docs file. Do not install README and NEWS files anymore since they
    contain nothing newsworthy.
  * Update debian/copyright to copyright format 1.0.
  * Change priority from extra to optional. This package does neither have
    special requirements nor does it conflict with other packages.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org.

  [ Vincent Cheng ]
  * Use empty override_dh_auto_test target in d/rules to skip incomplete tests.

 -- Markus Koschany <apo@gambaru.de>  Fri, 18 Apr 2014 22:34:51 +0200

pegsolitaire (0.0.4-1) unstable; urgency=low

  * Initial release (Closes: #485128)
    + Add .desktop file.
    + Add simple man page.

 -- Barry deFreese <bdefreese@debian.org>  Tue, 07 Apr 2009 12:53:10 -0400
