=== debian/control ===
Source: pegsolitaire
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Barry deFreese <bdefreese@debian.org>
Build-Depends:
 autotools-dev,
 debhelper (>= 9),
 libglade2-dev,
 libgnome2-dev,
 libgnomeui-dev,
 libxml-parser-perl,
 pkg-config
Standards-Version: 3.9.5
Homepage: https://wiki.debian.org/Games/pegsolitaire
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/pegsolitaire/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/pegsolitaire/

Package: pegsolitaire
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: education game similar to Hi-Q
 Peg Solitaire is a board game for one player involving movement of pegs on a
 board with holes. The game fills the entire board with pegs except for the
 central hole. The objective is, making valid moves, to empty the entire board
 except for a solitary peg in the central hole.
