=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --parallel --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- \
		--prefix=/usr \
		--bindir=\$${prefix}/games \
		--datadir=\$${prefix}/share \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \

override_dh_auto_test:

override_dh_install:
	dh_install
	# Remove unwanted files.
	$(RM) \
		$(CURDIR)/debian/pegsolitaire/usr/share/doc/pegsolitaire/COPYING \
		$(CURDIR)/debian/pegsolitaire/usr/share/doc/pegsolitaire/NEWS \
		$(CURDIR)/debian/pegsolitaire/usr/share/doc/pegsolitaire/AUTHORS \
		$(CURDIR)/debian/pegsolitaire/usr/share/doc/pegsolitaire/ChangeLog \
		$(CURDIR)/debian/pegsolitaire/usr/share/doc/pegsolitaire/INSTALL \
		$(CURDIR)/debian/pegsolitaire/usr/share/doc/pegsolitaire/README
