## pegsolitaire 0.1.1

=== debian/changelog ===
pegsolitaire (0.1.1-1) unstable; urgency=medium

  * New upstream version 0.1.1.
    - No longer depends on libgnome, libgnomeui or libglade. (Closes: #885749)
  * Remove manpage, desktop file and xpm icon. They are integrated upstream.
  * debian/control:
    - New Build-Dependencies autoconf-archive, libgtk2.0-dev, librsvg2-dev.
    - Drop unneeded Build-Depends libxml-parser-perl, pkg-config.
    - Add myself to Uploaders.
    - New homepage.
    - VCS has been migrated from svn to git.
    - Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.1.3.
    - Remove debian/menu as required by Debian Policy >= 4.0.1.
  * Update to compat level 11. Now autoreconf and parallel are the default.
  * debian/rules:
    - Enable all hardening options.
    - Do not add -Wl,--as-needed, it was integrated upstream.
    - Install game data in /usr/share/games. Simplify debian/rules.
  * debian/watch, debian/upstream/signing-key.asc: New watch file with gpg
    verification.
  * debian/clean: Added to clean the po/ directory.
  * debian/copyright: New copyright holders and years. Change http to https.
  * wrap-and-sort -s.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Wed, 17 Jan 2018 16:01:47 +0200
