## pegsolitaire 0.3

=== debian/changelog ===
pegsolitaire (0.3-4) unstable; urgency=medium

  * Team Upload.

  [ Patrice Duroux ]
  * Fix FTBFS (Closes: #1087803)

 -- Alexandre Detiste <tchet@debian.org>  Tue, 03 Dec 2024 21:43:04 +0100

pegsolitaire (0.3-3) unstable; urgency=medium

  * Team Upload.
  * Fix watch file for new GitHub API

 -- Alexandre Detiste <tchet@debian.org>  Sat, 25 May 2024 17:07:43 +0200

pegsolitaire (0.3-2) unstable; urgency=medium

  * Team Upload.
  * bump debhelper-compat to 13, Standards-Version to 4.6.2

  [ Helmut Grohne ]
  * fix FTCBFS: uses the build architecture pkg-config (Closes: #956345)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 03 Jan 2024 13:15:15 +0100

pegsolitaire (0.3-1) unstable; urgency=medium

  * New upstream version 0.3.
  * debian/copyright:
    - Remove paragraph for gridframe and preimage; no longer in tarball.
    - Update years.
  * debian/rules:
    - Instead of using configure, export Makefile configuration variables.
  * debian/control:
    - Remove build-dep autoconf-archive, not needed anymore.
    - Change build-dep gtk2 to gtk3.
    - Declare compliance with policy 4.3.0.
    - Bump debhelper compatibility level to 12.
  * debian/compat: Replace by build-depending on debhelper-compat.
  * debian/clean: Remove, not needed.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Tue, 08 Jan 2019 21:39:33 +0200
