=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders:
  Juhani Numminen <juhaninumminen0@gmail.com>,
  Barry deFreese <bdefreese@debian.org>
-Build-Depends: autoconf-archive, debhelper (>= 11), libgtk2.0-dev, librsvg2-dev
+Build-Depends: debhelper-compat (= 13), libgtk-3-dev, librsvg2-dev
 Rules-Requires-Root: no
-Standards-Version: 4.1.3
+Standards-Version: 4.6.2
 Homepage: https://github.com/jnumm/pegsolitaire
 Vcs-Git: https://salsa.debian.org/games-team/pegsolitaire.git
 Vcs-Browser: https://salsa.debian.org/games-team/pegsolitaire
