=== debian/watch ===
version=4
opts="pgpmode=next" https://github.com/jnumm/pegsolitaire/tags \
    .*/v?@ANY_VERSION@\.tar\.gz
opts="pgpmode=previous" https://github.com/jnumm/pegsolitaire/tags \
    .*/v?@ANY_VERSION@\.tar\.gz\.asc
